org.richfaces.component

## Class UIPanelMenuGroup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.ajax4jsf.component.AjaxInputComponent
          - - org.richfaces.component.UIPanelMenuGroup

- All Implemented Interfaces:
    javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.component.AjaxComponent
  Direct Known Subclasses:
    HtmlPanelMenuGroup

      public abstract class UIPanelMenuGroup
      extends org.ajax4jsf.component.AjaxInputComponent
      implements javax.faces.component.ActionSource2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIPanelMenuGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionListener(javax.faces.event.ActionListener listener)`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `javax.faces.event.ActionListener[]` | `getActionListeners()`
    `abstract java.lang.String` | `getDisabledClass()`
    `abstract java.lang.String` | `getDisabledStyle()`
    `abstract java.lang.String` | `getExpandMode()`
    `abstract java.lang.String` | `getHoverClass()`
    `abstract java.lang.String` | `getHoverStyle()`
    `abstract java.lang.String` | `getIconClass()`
    `abstract java.lang.String` | `getIconCollapsed()`
    `abstract java.lang.String` | `getIconDisabled()`
    `abstract java.lang.String` | `getIconExpanded()`
    `abstract java.lang.String` | `getIconStyle()`
    `abstract java.lang.String` | `getLabel()`
    `abstract java.lang.String` | `getName()`
    `abstract java.lang.String` | `getOncollapse()`
    `abstract java.lang.String` | `getOnexpand()`
    `abstract java.lang.String` | `getStyle()`
    `abstract java.lang.String` | `getStyleClass()`
    `abstract java.lang.String` | `getTarget()`
    `abstract boolean` | `isDisabled()`
    `boolean` | `isExpanded()`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `removeActionListener(javax.faces.event.ActionListener listener)`
    `abstract void` | `setDisabled(boolean disabled)`
    `abstract void` | `setDisabledClass(java.lang.String disabledClass)`
    `abstract void` | `setDisabledStyle(java.lang.String disabledStyle)`
    `void` | `setExpanded(boolean expanded)`
    `abstract void` | `setExpandMode(java.lang.String exapandMode)`
    `abstract void` | `setHoverClass(java.lang.String hoverClass)`
    `abstract void` | `setHoverStyle(java.lang.String hoverStyle)`
    `abstract void` | `setIconClass(java.lang.String iconClass)`
    `abstract void` | `setIconCollapsed(java.lang.String iconCollapsed)`
    `abstract void` | `setIconDisabled(java.lang.String iconDisabled)`
    `abstract void` | `setIconExpanded(java.lang.String expanded)`
    `abstract void` | `setIconStyle(java.lang.String iconStyle)`
    `abstract void` | `setLabel(java.lang.String label)`
    `abstract void` | `setName(java.lang.String string)`
    `abstract void` | `setOncollapse(java.lang.String ongroupcollapse)`
    `abstract void` | `setOnexpand(java.lang.String ongroupexpand)`
    `abstract void` | `setStyle(java.lang.String style)`
    `abstract void` | `setStyleClass(java.lang.String styleClass)`
    `abstract void` | `setTarget(java.lang.String target)`

    - ### Methods inherited from class org.ajax4jsf.component.AjaxInputComponent

      `setupReRender`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ActionSource2

      `getActionExpression, setActionExpression`

    - ### Methods inherited from interface javax.faces.component.ActionSource

      `getAction, getActionListener, isImmediate, setAction, setActionListener, setImmediate`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxComponent

      `getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

    - ### Methods inherited from interface javax.faces.component.EditableValueHolder

      `addValidator, addValueChangeListener, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValueChangeListener`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter, setValue`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIPanelMenuGroup

          public UIPanelMenuGroup()

  - ### Method Detail

    - #### getStyleClass

          public abstract java.lang.String getStyleClass()

    - #### setStyleClass

          public abstract void setStyleClass(java.lang.String styleClass)

    - #### getExpandMode

          public abstract java.lang.String getExpandMode()

    - #### setExpandMode

          public abstract void setExpandMode(java.lang.String exapandMode)

    - #### getIconExpanded

          public abstract java.lang.String getIconExpanded()

    - #### setIconExpanded

          public abstract void setIconExpanded(java.lang.String expanded)

    - #### getIconCollapsed

          public abstract java.lang.String getIconCollapsed()

    - #### setIconCollapsed

          public abstract void setIconCollapsed(java.lang.String iconCollapsed)

    - #### getIconDisabled

          public abstract java.lang.String getIconDisabled()

    - #### setIconDisabled

          public abstract void setIconDisabled(java.lang.String iconDisabled)

    - #### isDisabled

          public abstract boolean isDisabled()

    - #### setDisabled

          public abstract void setDisabled(boolean disabled)

    - #### getTarget

          public abstract java.lang.String getTarget()

    - #### setTarget

          public abstract void setTarget(java.lang.String target)

    - #### getHoverClass

          public abstract java.lang.String getHoverClass()

    - #### setHoverClass

          public abstract void setHoverClass(java.lang.String hoverClass)

    - #### getHoverStyle

          public abstract java.lang.String getHoverStyle()

    - #### setHoverStyle

          public abstract void setHoverStyle(java.lang.String hoverStyle)

    - #### getDisabledClass

          public abstract java.lang.String getDisabledClass()

    - #### setDisabledClass

          public abstract void setDisabledClass(java.lang.String disabledClass)

    - #### getDisabledStyle

          public abstract java.lang.String getDisabledStyle()

    - #### setDisabledStyle

          public abstract void setDisabledStyle(java.lang.String disabledStyle)

    - #### getStyle

          public abstract java.lang.String getStyle()

    - #### setStyle

          public abstract void setStyle(java.lang.String style)

    - #### getIconClass

          public abstract java.lang.String getIconClass()

    - #### setIconClass

          public abstract void setIconClass(java.lang.String iconClass)

    - #### getIconStyle

          public abstract java.lang.String getIconStyle()

    - #### setIconStyle

          public abstract void setIconStyle(java.lang.String iconStyle)

    - #### getOncollapse

          public abstract java.lang.String getOncollapse()

    - #### setOncollapse

          public abstract void setOncollapse(java.lang.String ongroupcollapse)

    - #### getOnexpand

          public abstract java.lang.String getOnexpand()

    - #### setOnexpand

          public abstract void setOnexpand(java.lang.String ongroupexpand)

    - #### getLabel

          public abstract java.lang.String getLabel()

    - #### setLabel

          public abstract void setLabel(java.lang.String label)

    - #### setName

          public abstract void setName(java.lang.String string)

    - #### getName

          public abstract java.lang.String getName()

    - #### isExpanded

          public boolean isExpanded()

    - #### setExpanded

          public void setExpanded(boolean expanded)

    - #### addActionListener

          public void addActionListener(javax.faces.event.ActionListener listener)

      Specified by:
        `addActionListener` in interface `javax.faces.component.ActionSource`

    - #### getActionListeners

          public javax.faces.event.ActionListener[] getActionListeners()

      Specified by:
        `getActionListeners` in interface `javax.faces.component.ActionSource`

    - #### removeActionListener

          public void removeActionListener(javax.faces.event.ActionListener listener)

      Specified by:
        `removeActionListener` in interface `javax.faces.component.ActionSource`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `org.ajax4jsf.component.AjaxInputComponent`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `org.ajax4jsf.component.AjaxInputComponent`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2014. All Rights Reserved.